.highlight-frame {
  position: absolute;
  pointer-events: none;
  border: 1px solid rgb(var(--bs-gray-500-rgb));

  &.primary-frame {
    z-index: 99999999;
    border: 1px solid rgb(var(--bs-blue-500-rgb));
    background-color: rgba(var(--bs-blue-100-rgb), 0.8);

    .name, .type {
      background-color: rgb(var(--bs-blue-800-rgb));
      color: rgb(var(--bs-gray-100-rgb));
    }
  }
}

.highlight-title {
  font-size: 0;
  display: inline-block;
  position: absolute;
  z-index: 9999999;
  cursor: pointer;

  & > :last-child {
    padding-right: 3px;
  }

  .name, .type, .global, .icon-type {
    line-height: 1.5em;
    background-color: rgb(var(--bs-gray-900-rgb));
    color: rgb(var(--bs-gray-100-rgb));
    padding-left: 3px;
    display: inline-block;
    font-size: 12px;
  }

  .name {
    font-weight: bold;
  }

  &.primary-highlight-title {
    z-index: 99999999;

    .name, .type, .global, .icon-type {
      background-color: rgb(var(--bs-blue-800-rgb));
      color: rgb(var(--bs-gray-100-rgb));
    }
  }

  &.selection-highlight-title {
    z-index: 99999999;

    .name, .type, .global, .icon-type {
      background-color: rgb(var(--bs-red-800-rgb));
      color: rgb(var(--bs-red-100-rgb));
    }
  }
}